%global realname riak_control
%global upstream basho
%global debug_package %{nil}
%global git_tag ef4ddb4
%global patchnumber 0


Name:		erlang-%{realname}
Version:	1.2.1
Release:	2%{?dist}
Summary:	Admin UI for Riak
Group:		Development/Languages
License:	ASL 2.0
URL:		https://github.com/basho/riak_control
# wget --content-disposition https://github.com/basho/riak_control/tarball/1.2.1
Source0:	%{upstream}-%{realname}-%{version}-%{patchnumber}-g%{git_tag}.tar.gz
# Sent upstream - https://github.com/basho/riak_control/pull/26
Patch1:		%{name}-0001-Typo-fix-no-such-function-gen_server-cast-3.patch
# Sent upstream - https://github.com/basho/riak_control/pull/27
Patch2:		%{name}-0002-Re-export-admin_ring-node_ring_details-2-back.patch
# Will be proposed for upstream.
Patch3:		%{name}-0003-Fix-includes.patch
# Fedora/EPEL-specific - remove rebar dependency checks
Patch4:		%{name}-0004-Fedora-specific-remove-rebar-explicit-deps.patch
# https://github.com/basho/riak_control/issues/43
# https://github.com/basho/riak_control/pull/44
Patch5:		%{name}-0005-Do-not-require-secure-only-cookie.patch
BuildRequires:	erlang-rebar
BuildRequires:	erlang-riak_core
BuildRequires:	erlang-webmachine
Requires:	erlang-crypto%{?_isa}
Requires:	erlang-erlydtl%{?_isa}
# Error:erlang(binary:replace/4)
# Error:erlang(erlang:max/2) in R12B and below
# Error:erlang(erlang:min/2) in R12B and below
# Error:erlang(lists:keyfind/3) in R12B and below
Requires:	erlang-erts%{?_isa} >= R13B
Requires:	erlang-kernel%{?_isa}
Requires:	erlang-mochiweb%{?_isa}
Requires:	erlang-os_mon%{?_isa}
Requires:	erlang-riak_core%{?_isa}
Requires:	erlang-stdlib%{?_isa}
Requires:	erlang-webmachine%{?_isa}


%description
Riak Control is a set of webmachine resources, all accessible via the
/admin/* paths, allow you to inspect your running cluster, and manipulate
it in various ways.


%prep
%setup -q -n %{upstream}-%{realname}-82c362a
chmod 644 priv/admin/fonts/rokkitt-bold.woff
chmod 644 priv/admin/fonts/rokkitt.woff
%patch1 -p1 -b .typo
%patch2 -p1 -b .reexport
%patch3 -p1 -b .includes
%patch4 -p1 -b .nodeps
%patch5 -p1 -b .http_cookie_fix
# remove bundled rebar copy - just to be absolutely sure
rm -f ./rebar


%build
rebar compile -v


%install
mkdir -p %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/{ebin,include,priv}
install -p -m 0644 ebin/%{realname}.app %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.app
install -p -m 0644 ebin/*.beam %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin
install -p -m 0644 include/%{realname}.hrl %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/include/
cp -ar priv/* %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/priv


%check
# In order to run tests we need a QuickCheck library which is proprietary
# so no tests for 1.2.1 version.
rebar eunit -v


%files
%doc LICENSE README.org
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/ebin/
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/include/
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/priv/
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.app
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/*.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/include/%{realname}.hrl
%{_libdir}/erlang/lib/%{realname}-%{version}/priv/*


%changelog
* Sun Nov 18 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.2.1-2
- Fixed HTTPS-only access

* Fri Oct 19 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.2.1-1
- Ver. 1.2.1

* Thu Jul 26 2012 Peter Lemenkov <lemenkov@gmail.com> - 0.1.2-2
- Fixed mixed macro usage in spec (mostly cosmetic change)
- Dropped remaining stuff required by EL5

* Thu May 17 2012 Peter Lemenkov <lemenkov@gmail.com> - 0.1.2-1
- Initial package
